Parallels Desktop is not optimized for this version of mac and needs to be updated[...]

Discussion in 'General Questions' started by DashtonP, Jun 6, 2019.

  1. DashtonP

    DashtonP Bit Poster

    Messages:
    35
    Upon launching Parallels Desktop 14 in macOS Mojave 10.14.5 it says 'Parallels Desktop is not optimized for this version of mac and needs to be updated. Please contact the developer for more assistance.' - or something like this message (I don't remember the wordage exactly). This must be in preparation for Catalina and 64bit only support I'm guessing, is there any word on whether or not a new version of Parallels Desktop will be available then? Will Catalina support be in the next major version of Parallels (Parallels 15), or will Parallels 14 be updated to support Catalina?
     
  2. Maria@Parallels

    Maria@Parallels Kilo Poster

    Messages:
    8,694
    Hi, is it possible to reproduce the issue, make a screenshot, generate the problem report and reply us back with the report ID.
    We need this tech info to find the root cause of this issue.
     

Share This Page